# eric6.Plugins.VcsPlugins.vcsMercurial.HgArchiveDialog

Module implementing a dialog to enter the archive data.

### Global Attributes

None

### Classes

HgArchiveDialog | Class implementing a dialog to enter the archive data.

### Functions

None

## HgArchiveDialog

Class implementing a dialog to enter the archive data.

### Derived from

QDialog, Ui_HgArchiveDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgArchiveDialog | Constructor
getData | Public method to retrieve the data.
on_archiveButton_clicked | Private slot to select the archive name via a file selection dialog.
on_archiveEdit_textChanged | Private slot to handle changes of the archive name.
on_typeComboBox_activated | Private slot to react on changes of the selected archive type.

### Static Methods

None

#### HgArchiveDialog (Constructor)

HgArchiveDialog(vcs, parent=None)

Constructor

vcs
  reference to the Mercurial object (Hg)
parent
  reference to the parent widget (QWidget)

#### HgArchiveDialog.getData

getData()

Public method to retrieve the data.

Returns:
  tuple giving the archive name (string), the archive type (string), the directory prefix 8string) and a flag indicating to recurse into subrepositories (boolean)

#### HgArchiveDialog.on_archiveButton_clicked

on_archiveButton_clicked()

Private slot to select the archive name via a file selection dialog.

#### HgArchiveDialog.on_archiveEdit_textChanged

on_archiveEdit_textChanged(archive)

Private slot to handle changes of the archive name.

archive
  name of the archive (string)

#### HgArchiveDialog.on_typeComboBox_activated

on_typeComboBox_activated(index)

Private slot to react on changes of the selected archive type.

index
  index of the selected type (integer)

Up